# Class CheckboxHeaderCellComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

#### Implements

- OnInit

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:34

#####
Index

### Constructors

constructor

### Properties

cdkTable
checked$
indeterminate$
isMultipleSelection
selectRow

### Methods

ngOnInit
onChange

## Constructors

### constructor

- new CheckboxHeaderCellComponent<Data>(cdkTable, selectRow): CheckboxHeaderCellComponent<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - cdkTable: CdkTable<Data>
  - selectRow: SelectRowService<Data>

  #### Returns CheckboxHeaderCellComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:41

## Properties

### `Private` `Readonly` cdkTable

cdkTable: CdkTable<Data>

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:43

### checked$

checked$: Observable<boolean> = EMPTY

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:37

### indeterminate$

indeterminate$: Observable<boolean> = EMPTY

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:36

### isMultipleSelection

isMultipleSelection: boolean = false

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:39

### `Private` `Readonly` selectRow

selectRow: SelectRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:44

## Methods

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:50

### onChange

- onChange($event): void

- #### Parameters

  - $event: MatCheckboxChange

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-header-cell/checkbox-header-cell.component.ts:67